Magick++ 6.9.6

Public Member Functions | List of all members
Magick::PathLinetoAbs Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::PathLinetoAbs:
[legend]
Collaboration diagram for Magick::PathLinetoAbs:
[legend]

## Public Member Functions
| PathLinetoAbs (const Magick::Coordinate &coordinate_)
| PathLinetoAbs (const CoordinateList &coordinates_)
| PathLinetoAbs (const PathLinetoAbs &original_)
| ~PathLinetoAbs (void)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const
Public Member Functions inherited from Magick::VPathBase
| VPathBase (void)
virtual | ~VPathBase (void)

## Detailed Description

Definition at line 2824 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::PathLinetoAbs::PathLinetoAbs | ( | const Magick::Coordinate & | coordinate_ | ) |

Definition at line 2129 of file Drawable.cpp.

Magick::PathLinetoAbs::PathLinetoAbs | ( | const CoordinateList & | coordinates_ | ) |

Definition at line 2133 of file Drawable.cpp.

Magick::PathLinetoAbs::PathLinetoAbs | ( | const PathLinetoAbs & | original_ | ) |

Definition at line 2137 of file Drawable.cpp.

Magick::PathLinetoAbs::~PathLinetoAbs | ( | void |  | ) |

Definition at line 2142 of file Drawable.cpp.

## Member Function Documentation

Magick::VPathBase * Magick::PathLinetoAbs::copy | ( |  | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2153 of file Drawable.cpp.

void Magick::PathLinetoAbs::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2145 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp